<?php

namespace FiloBlu\Rma\Model\Rma\Status;

/**
 * Class History
 * @package Model\Rma\Status
 *
 */
class History extends \Magento\Rma\Model\Rma\Status\History
{
    const XML_PATH_RECEIVED_EMAIL = 'sales_email/magento_rma_receive';

    public function getRootRmaEmail()
    {
        return self::XML_PATH_RECEIVED_EMAIL;
    }
    /**
     * Sending received email with RMA data
     *
     * @return $this
     */
    public function sendReceivedEmail()
    {
        $rma = $this->getRma();
        return $this->_sendRmaEmailWithItems($rma, $this->_rmaConfig->getRootAuthEmail());
    }
}